/* Matrix_and_PointProcess.c */
/* Paul Boersma, March 29, 1997 */

#include "Matrix_and_PointProcess.h"

Matrix PointProcess_to_Matrix (PointProcess me) {
	Matrix thee;
	long i;
	if (my nt == 0)
		return Melder_errorp ("PointProcess_to_Matrix: no times in PointProcess.");
	thee = Matrix_create (1, my nt, my nt, 1, 1, 1, 1, 1, 1, 1);
	if (! thee) return NULL;
	for (i = 1; i <= my nt; i ++)
		thy z [1] [i] = my t [i];
	return thee;
}

PointProcess Matrix_to_PointProcess (Matrix me) {
	long i;
	PointProcess thee = PointProcess_create (my z [1] [1], my z [1] [my nx], my nx);
	if (! thee) return NULL;
	for (i = 1; i <= my nx; i ++)
		PointProcess_addPoint (thee, my z [1] [i]);
	return thee;
}

/* End of file Matrix_and_PointProcess.c */
